# Solution soumis par E. Bellemare et C. Roy
# Code soumis par C. Roy
# J'ai restreint la base de donnes aux 150 premires observations (C.Roy)
#
#                            Instructions
#_______________________________________________________________________________
#pour les "nouveaux" vous allez devoir installer les packages avant de les appeler
#Pour installer des Packages directement dans R tapez:
# (Alt-P)
# I
# Choisissez votre miroir s'il n'est pas install par dfaut (QC1 ou QC2 devrait marcher)
# Choisissiez le package que vous voulez installer dans la liste

#For englisdh people: You'll need to install the package that are called below first
#To install packages press:
# (Alt-P)
# I
#Choose your miror if necessary
#Choose the package you want to install
#
#                          Set working drive
#_______________________________________________________________________________
setwd("C:\\Documents and Settings\\chroy203\\Bureau\\PleinR")  #Change work drive if necessary
#
#                          Call packages
#_______________________________________________________________________________
library(zoo)  
library(base)
library(emdbook)
library(bbmle)
library(chron)
#
#                          Import File
#_______________________________________________________________________________
F2002.95HO=read.table("2002.95HO.150.txt",header=T)     #Change file name if necessary
#
#                         Version Longue (C.Roy)
#_______________________________________________________________________________
yearday<-F2002.95HO$yearday
hour<-F2002.95HO$hour
hour1<-F2002.95HO$hour1
year.complete<-paste(yearday, hour)
year1.complete<-paste(yearday, hour1)
yhour<-strptime(year.complete, "%y-%j %H:%M")
yhour1<-strptime(year1.complete, "%y-%j %H:%M")
#
#                        Version courte (E.Bellemare)
#_______________________________________________________________________________
hour <- strptime( paste( F2002.95H$yearday, F2002.95H$hour ), format = "%y-%j %H:%M" )

